## org.codehaus.groovy.util
Interface AbstractConcurrentMap.Entry<K,V>

All Known Implementing Classes:
  ClassInfo, ManagedConcurrentMap.Entry, ManagedConcurrentMap.EntryWithValue

Enclosing class:
  AbstractConcurrentMap<K,V>

    protected static interface AbstractConcurrentMap.Entry<K,V>

Method Summary
`int` `getHash()`
`V` `getValue()`
`boolean` `isEqual(K key, int hash)`
`boolean` `isValid()`
`void` `setValue(V value)`

Method Detail

### isEqual

    boolean isEqual(K key,
                    int hash)

### getValue

    V getValue()

### setValue

    void setValue(V value)

### getHash

    int getHash()

### isValid

    boolean isValid()

Copyright © 2003-2009 The Codehaus. All rights reserved.